package behaviors;

import javax.vecmath.Vector3f;

import opensteer.SteerVehicle;

public class FleeBehavior extends SeekBehavior {

	public FleeBehavior(Vector3f target) {
		super(target);
	}
	
	@Override
	public boolean steer(SteerVehicle steerVehicle, Vector3f steerForce) {
		
		steerForce.add(steerVehicle.steerForFlee(target));
		return true;
	}

}
