package behaviors;

import javax.vecmath.Vector3f;

import opensteer.SteerVehicle;

public class SeekBehavior implements SteeringBehavior {
	
	protected Vector3f target;

	public SeekBehavior(Vector3f target) {
		
		this.target = target;
	}

	public boolean steer(SteerVehicle steerVehicle, Vector3f steerForce) {
		
		//System.out.println("SEEK");
		
		steerForce.add(steerVehicle.xxxsteerForSeek(target));
		return true;
	}

}
