/*
 * Created on 17.12.2006
 *
 */
package behaviors;

import javax.vecmath.Vector3f;

import opensteer.SteerVehicle;

public class TargetSpeedBehavior implements SteeringBehavior {
	
	private float targetSpeed;
	

	/**
     * @param targetSpeed
     */
    public TargetSpeedBehavior(float targetSpeed) {
	    this.targetSpeed = targetSpeed;
    }


	public boolean steer(SteerVehicle steerVehicle, Vector3f steerForce) {
		
		steerForce.add(steerVehicle.steerForTargetSpeed(this.targetSpeed));
		
		return true;
	}

}
