package behaviors;

import javax.vecmath.Vector3f;

import opensteer.SteerVehicle;

public class WanderBehavior implements SteeringBehavior {
	
	private float dt;

	public WanderBehavior(float dt) {
		
		this.dt = dt;
	}

	public boolean steer(SteerVehicle steerVehicle, Vector3f steerForce) {
		
		steerForce.add(steerVehicle.xxxsteerForWander(dt));
		return true;
	}
}
