package common;

import javax.vecmath.Vector2f;

public class Rectangle2f {
	
	private Vector2f bottomLeftCorner;
	private Vector2f topRightCorner;
	
	private float width;
	private float height;
	
	public Rectangle2f(Vector2f bottomLeftCorner, Vector2f topRightCorner) {
		
		super();
		this.bottomLeftCorner = bottomLeftCorner;
		this.topRightCorner = topRightCorner;
		
		this.width = topRightCorner.x - bottomLeftCorner.x;
		this.height = topRightCorner.y - bottomLeftCorner.y;
	}
	public Vector2f getBottomLeftCorner() {
		return bottomLeftCorner;
	}
	public Vector2f getTopRightCorner() {
		return topRightCorner;
	}
	public float getHeight() {
		return height;
	}
	public float getWidth() {
		return width;
	}
}
