package common;

public class Statistics {

	private String[] names;
	private Object[] values;
	
	public Statistics(int rows) {
		
		this.names = new String[rows];
		this.values = new Object[rows];
	}

	public void setName(int row, String name) {
		
		this.names[row] = name;
	}
	
	public void setValue(int row, Object value) {
		
		this.values[row] = value;
	}
	
	public void setNameValue(int row, String name, Object value) {
		
		this.names[row] = name;
		this.values[row] = value;
	}

	public String[] getNames() {
		return names;
	}

	public Object[] getValues() {
		return values;
	}
	
	public String getName(int row) {
		return names[row];
	}

	public Object getValue(int row) {
		return values[row];
	}
}
